```
███████╗██╗   ██╗██████╗ ███████╗██████╗
██╔════╝██║   ██║██╔══██╗██╔════╝██╔══██╗
███████╗██║   ██║██████╔╝█████╗  ██████╔╝
╚════██║██║   ██║██╔═══╝ ██╔══╝  ██╔══██╗
███████║╚██████╔╝██║     ███████╗██║  ██║
╚══════╝ ╚═════╝ ╚═╝     ╚══════╝╚═╝  ╚═╝
██████╗  ██████╗ ██╗    ██╗███████╗██████╗ ███████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗██╔════╝
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝███████╗
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗╚════██║
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║███████║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝╚══════╝
```

### What is JCB Super Powers?
The Joomla Component Builder (JCB) Super Power features are designed to enhance JCB's functionality and streamline the development process. These Super Powers enable developers to efficiently manage and share their custom powers across multiple JCB instances through repositories hosted on [https://git.vdm.dev/[username]/[repository-name]](https://git.vdm.dev). JCB Super Powers are managed using a combination of layers, events, tasks, methods, switches, and algorithms, which work together to provide powerful customization and extensibility options. More details on JCB Super Powers can be found in the [Super Powers Documentation](https://git.vdm.dev/joomla/super-powers/wiki).

In summary, JCB Super Powers offer a flexible and efficient way to manage and share functionalities between JCB instances. By utilizing a sophisticated system of layers, events, tasks, methods, switches, and algorithms, developers can seamlessly integrate JCB core powers and their custom powers. For more information on how to work with JCB Super Powers, refer to the [Super Powers User Guide](https://git.vdm.dev/joomla/super-powers/wiki).

### What can I find here?
This repository contains an index (see below) of all the approved powers within the JCB GUI. During the compilation of a component, these powers are automatically added to the repository, ensuring a well-organized and accessible collection of functionalities.

# Index of powers

- **Namespace**: [VDM\Joomla\FOF\Encrypt](#vdm-joomla-fof-encrypt)

  - **interface Randvalinterface** | [Details](src/ba82e88a-254d-4ba4-99a3-ea69ed814f5c) | [Code](src/ba82e88a-254d-4ba4-99a3-ea69ed814f5c/code.php) | [Settings](src/ba82e88a-254d-4ba4-99a3-ea69ed814f5c/settings.json) | Super__ba82e88a_254d_4ba4_99a3_ea69ed814f5c__Power
  - **class AES** | [Details](src/99175f6d-dba8-4086-8a65-5c4ec175e61d) | [Code](src/99175f6d-dba8-4086-8a65-5c4ec175e61d/code.php) | [Settings](src/99175f6d-dba8-4086-8a65-5c4ec175e61d/settings.json) | Super__99175f6d_dba8_4086_8a65_5c4ec175e61d__Power
  - **class Randval** | [Details](src/eef08a1d-5367-4464-8d07-d47c479fb76f) | [Code](src/eef08a1d-5367-4464-8d07-d47c479fb76f/code.php) | [Settings](src/eef08a1d-5367-4464-8d07-d47c479fb76f/settings.json) | Super__eef08a1d_5367_4464_8d07_d47c479fb76f__Power
- **Namespace**: [VDM\Joomla\FOF\Utils](#vdm-joomla-fof-utils)

  - **class Phpfunc** | [Details](src/470a08ee-6b31-4a2b-98d9-5b64757a3b34) | [Code](src/470a08ee-6b31-4a2b-98d9-5b64757a3b34/code.php) | [Settings](src/470a08ee-6b31-4a2b-98d9-5b64757a3b34/settings.json) | Super__470a08ee_6b31_4a2b_98d9_5b64757a3b34__Power
- **Namespace**: [VDM\Joomla\FOF\Encrypt\AES](#vdm-joomla-fof-encrypt-aes)

  - **interface AesInterface** | [Details](src/7f753585-6e3b-4b81-bd29-3b7bdf0e3769) | [Code](src/7f753585-6e3b-4b81-bd29-3b7bdf0e3769/code.php) | [Settings](src/7f753585-6e3b-4b81-bd29-3b7bdf0e3769/settings.json) | Super__7f753585_6e3b_4b81_bd29_3b7bdf0e3769__Power
  - **abstract class Abstraction** | [Details](src/4c89df31-8b94-40bb-94fc-7ec378145044) | [Code](src/4c89df31-8b94-40bb-94fc-7ec378145044/code.php) | [Settings](src/4c89df31-8b94-40bb-94fc-7ec378145044/settings.json) | Super__4c89df31_8b94_40bb_94fc_7ec378145044__Power
  - **class Mcrypt** | [Details](src/25da88d3-f7b2-4666-977f-e68ff731d1e8) | [Code](src/25da88d3-f7b2-4666-977f-e68ff731d1e8/code.php) | [Settings](src/25da88d3-f7b2-4666-977f-e68ff731d1e8/settings.json) | Super__25da88d3_f7b2_4666_977f_e68ff731d1e8__Power
  - **class Openssl** | [Details](src/885cc1cf-1904-483c-aecc-6af916c329e7) | [Code](src/885cc1cf-1904-483c-aecc-6af916c329e7/code.php) | [Settings](src/885cc1cf-1904-483c-aecc-6af916c329e7/settings.json) | Super__885cc1cf_1904_483c_aecc_6af916c329e7__Power

---
```
     ██╗ ██████╗  ██████╗ ███╗   ███╗██╗      █████╗
     ██║██╔═══██╗██╔═══██╗████╗ ████║██║     ██╔══██╗
     ██║██║   ██║██║   ██║██╔████╔██║██║     ███████║
██   ██║██║   ██║██║   ██║██║╚██╔╝██║██║     ██╔══██║
╚█████╔╝╚██████╔╝╚██████╔╝██║ ╚═╝ ██║███████╗██║  ██║
 ╚════╝  ╚═════╝  ╚═════╝ ╚═╝     ╚═╝╚══════╝╚═╝  ╚═╝
 ██████╗ ██████╗ ███╗   ███╗██████╗  ██████╗ ███╗   ██╗███████╗███╗   ██╗████████╗
██╔════╝██╔═══██╗████╗ ████║██╔══██╗██╔═══██╗████╗  ██║██╔════╝████╗  ██║╚══██╔══╝
██║     ██║   ██║██╔████╔██║██████╔╝██║   ██║██╔██╗ ██║█████╗  ██╔██╗ ██║   ██║
██║     ██║   ██║██║╚██╔╝██║██╔═══╝ ██║   ██║██║╚██╗██║██╔══╝  ██║╚██╗██║   ██║
╚██████╗╚██████╔╝██║ ╚═╝ ██║██║     ╚██████╔╝██║ ╚████║███████╗██║ ╚████║   ██║
 ╚═════╝ ╚═════╝ ╚═╝     ╚═╝╚═╝      ╚═════╝ ╚═╝  ╚═══╝╚══════╝╚═╝  ╚═══╝   ╚═╝
██████╗ ██╗   ██╗██╗██╗     ██████╗ ███████╗██████╗
██╔══██╗██║   ██║██║██║     ██╔══██╗██╔════╝██╔══██╗
██████╔╝██║   ██║██║██║     ██║  ██║█████╗  ██████╔╝
██╔══██╗██║   ██║██║██║     ██║  ██║██╔══╝  ██╔══██╗
██████╔╝╚██████╔╝██║███████╗██████╔╝███████╗██║  ██║
╚═════╝  ╚═════╝ ╚═╝╚══════╝╚═════╝ ╚══════╝╚═╝  ╚═╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

